PATCH
/
v1
/
account
/
profile
Update Profile
curl --request PATCH \
  --url https://api.bolt.com/v1/account/profile \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "first_name": "Alan",
  "last_name": "Watts",
  "metadata": {
    "customer_id": 234
  }
}
'
{
  "email": "alan.watts@example.com",
  "first_name": "Alan",
  "last_name": "Watts",
  "metadata": {
    "customer_id": 234
  },
  "name": "Alan Watts",
  "phone": "+12125550199"
}

Authorizations

Authorization
string
header
required

Bolt utilizes the OAuth flow that developers can use to attain access to Bolt Account data via APIs. For all APIs that require authorization, please provide your access_token returned from /v1/oauth/token via the basic auth bearer header Authorization: bearer ${TOKEN}. Read more about the OAuth token endpoint.

X-API-Key
string
header
required

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

Headers

X-Publishable-Key
string

The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard [RECOMMENDED].

Body

application/json

The profile fields that can be updated for a shopper.

first_name
string

The given name of the person associated with this record.

Example:

"Alan"

last_name
string

The surname of the person associated with this record.

Example:

"Watts"

metadata
object

A key-value pair object that allows users to store arbitrary information associated with an object. For any individual account object, we allow up to 50 keys. Keys can be up to 40 characters long and values can be up to 500 characters long. Metadata should not contain any sensitive customer information, like PII (Personally Identifiable Information). For more information about metadata, see our documentation.

Example:
{ "customer_id": 234 }

Response

200 - application/json

Profile Updated

The shopper's account profile.

email
string<email>

An email address.

Maximum string length: 255
Example:

"alan.watts@example.com"

first_name
string

The given name of the person associated with this record.

Example:

"Alan"

last_name
string

The surname of the person associated with this record.

Example:

"Watts"

metadata
object

A key-value pair object that allows users to store arbitrary information associated with an object. For any individual account object, we allow up to 50 keys. Keys can be up to 40 characters long and values can be up to 500 characters long. Metadata should not contain any sensitive customer information, like PII (Personally Identifiable Information). For more information about metadata, see our documentation.

Example:
{ "customer_id": 234 }
name
string

The given and surname of the person associated with this address.

Example:

"Alan Watts"

phone
string

A phone number following E164 standards, in its globalized format, i.e. prepended with a plus sign.

Maximum string length: 16
Example:

"+12125550199"